#!/bin/sh
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
. ${SCRIPT_DIR}/config.sh

INSTALLATION_DIR=${SCRIPT_DIR}/${INSTALLATION_DIR_NAME}

# HDF5
HDF5_DIR=${INSTALLATION_DIR}/hdf5/${HDF5_VERSION}
export HDF5_DIR

# Prepare environment variables
SZ_DIR=${INSTALLATION_DIR}/sz/${SZ_VERSION}
export SZ_DIR

std_compat_DIR=${INSTALLATION_DIR}/std_compat/${STD_COMPAT_VERSION}
export std_compat_DIR

ZFP_DIR=${INSTALLATION_DIR}/zfp/${ZFP_VERSION}
export ZFP_DIR

BLOSC_DIR=${INSTALLATION_DIR}/c-blosc/${BLOSC_VERSION}
export BLOSC_DIR

LIBPRESSIO_DIR=${INSTALLATION_DIR}/libpressio/${LIBPRESSIO_VERSION}
# PLUGINS PATH!
export HDF5_PLUGIN_PATH=${SZ_DIR}/lib:${BLOSC_DIR}/lib:${ZFP_DIR}/lib:${HDF5_PLUGIN_PATH:=""}

# LIBPRESSIO PYTHON 
export PYTHONPATH=${LIBPRESSIO_DIR}/python:${PYTHONPATH:=""}


# ADD LIBRARIES TO LIBRARY_PATH

export LIBRARY_PATH=${LIBPRESSIO_DIR}/lib:${LIBRARY_PATH:=""}
export LD_LIBRARY_PATH=${LIBPRESSIO_DIR}/lib:${ZFP_DIR}/lib:${SZ_DIR}/lib:${BLOSC_DIR}/lib:${LD_LIBRARY_PATH:=""}
